{% from "packages/components/header/macro.njk" import header %}
{% from "macros/hrt-footer.njk" import hrtFooter %}
{% from "packages/components/skip-link/macro.njk" import skipLink %}
{% from "packages/components/back-link/macro.njk" import backLink %}
{% from "macros/hrt-phase-banner.njk" import hrtPhaseBanner %}
{% from 'macros/hrt-timeout-warning.njk' import timeoutWarning %}

<!DOCTYPE html>
<!--[if lt IE 9]><html class="ie8" lang="en"><![endif]-->
<!--[if IE 9]><html class="ie9" lang="en"><![endif]-->
<!--[if gt IE 9]><!-->
<html lang="en">
  <!--<![endif]-->
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="robots" content="noindex">
    <meta property="csp-nonce" content="{{ scriptNonce }}">
    <meta name="path" content="{{ contextPath }}" />

    <title>{{ title|safe }}</title>

    <link href="https://www.nhs.uk/" rel="preconnect">
    <link href="https://assets.nhs.uk/" rel="preconnect" crossorigin>

    <link type="font/woff2" href="https://assets.nhs.uk/fonts/FrutigerLTW01-55Roman.woff2" rel="preload" as="font" crossorigin>
    <link type="font/woff2" href="https://assets.nhs.uk/fonts/FrutigerLTW01-65Bold.woff2" rel="preload" as="font" crossorigin>

    <link href="{{ contextPath }}/assets/nhsuk.css" rel="stylesheet">
    
    <!-- favicons -->
    <link rel="shortcut icon" href="{{ contextPath }}/assets/favicons/favicon.ico" type="image/x-icon">
    <link rel="apple-touch-icon" href="{{ contextPath }}/assets/favicons/apple-touch-icon-180x180.png">
    <link rel="mask-icon" href="{{ contextPath }}/assets/favicons/favicon.svg" color="#005eb8">
    <link rel="icon" sizes="192x192" href="{{ contextPath }}/assets/favicons/favicon-192x192.png">
    <meta name="msapplication-TileImage" content="{{ contextPath }}/assets/favicons/mediumtile-144x144.png">
    <meta name="msapplication-TileColor" content="#005eb8">
    <meta name="msapplication-square70x70logo" content="{{ contextPath }}/assets/favicons/smalltile-70x70.png">
    <meta name="msapplication-square150x150logo" content="{{ contextPath }}/assets/favicons/mediumtile-150x150.png">
    <meta name="msapplication-wide310x150logo" content="{{ contextPath }}/assets/favicons/widetile-310x150.png">
    <meta name="msapplication-square310x310logo" content="{{ contextPath }}/assets/favicons/largetile-310x310.png">

    <!-- media cards-->
    <meta property="og:url" content="{{ appBaseUrl }}{{ contextPath }}/start">
    <meta property="og:title" content="{{ serviceName }}">
    <meta property="og:description" content="{{ serviceDescription }}">
    <meta property="og:type" content="website">
    <meta property="og:locale" content="en_GB">
    <meta property="og:image" content="{{ appBaseUrl }}{{ contextPath }}/assets/images/nhs-media-card.png">
    <meta property="og:image:alt" content="NHS">
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@NHSBSA">
    <meta name="twitter:creator" content="@NHSBSA"> 

    <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/js/cookie-consent.js" type="text/javascript" data-cookieconsent="necessary" data-nonce="{{ scriptNonce }}" data-policy-url="{{ contextPath }}/cookie-information" {% if hideCookieBanner %}data-nobanner{% endif %}></script>
  
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script nonce="{{ scriptNonce }}" async src="https://www.googletagmanager.com/gtag/js?id={{ gaTrackingId }}" type="text/plain" data-cookieconsent="statistics"></script>
    <script nonce="{{ scriptNonce }}" data-cookieconsent="statistics">
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', '{{ gaTrackingId }}');
    </script>

    <!--[if !IE 8]><!-->
      <link href="{{ contextPath }}/assets/styles/all.css" rel="stylesheet"/>
    <!--<![endif]-->  

    {# For Internet Explorer 8, you need to compile specific stylesheet #}
    {# see https://github.com/alphagov/govuk-frontend/blob/master/docs/installation/supporting-internet-explorer-8.md #}
    <!--[if IE 8]>
      <link href="/govuk-frontend/all-ie8.css" rel="stylesheet" />
    <![endif]-->

    {# For older browsers to allow them to recognise HTML5 elements such as `<header>` #}
    <!--[if lt IE 9]>
      <script src="/html5-shiv/html5shiv.js"></script>
    <![endif]-->
    <script nonce="{{ scriptNonce }}" async src="{{ contextPath }}/assets/js/custom.js"></script>
    <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/js/timeout-warning.js" defer></script>
    <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/nhsuk.js" defer></script>
    <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/nhsuk.min.js" defer></script>
  </head>

  <body class="{{ body_class }}">
    <script nonce="{{ scriptNonce }}">document.body.className = ((document.body.className) ? document.body.className + ' js-enabled' : 'js-enabled');</script>
    
    {% block header %}
      {{ skipLink({
      "href": "#maincontent",
      "text": "Skip to main content",
      "attributes": {
        "role": "button"
      }
      }) }}
      {{ header({
        "service": {
          "name": "Buy an NHS HRT Prescription Prepayment Certificate (HRT PPC)",
          "longName": "true"
        },
        "ariaLabel": "Buy an NHS HRT Prescription Prepayment Certificate (HRT PPC)",
        "showNav": "false",
        "showSearch": "false",
        "homeHref": "start" 
        })
      }}
    {% endblock %}
    
    {% block content %}
      <div class="nhsuk-width-container">
        <main class="nhsuk-main-wrapper nhsuk-main-wrapper--phase-banner" id="maincontent">
          {{ hrtPhaseBanner({
              tag: {
                text: "beta"
              },
              html: phaseBannerHtml
            }) 
          }}
          <!-- Grid row wrapper here -->
          <div class="nhsuk-grid-row">
            <div {% if showFullColumn %} {% else %} class="nhsuk-grid-column-two-thirds" {% endif %}>
              {% block beforeContent %}
                {% if previous %}
                  {{ backLink({
                    text: back,
                    href: previous
                  }) }}
                {% endif %}
              {% endblock %}
              {% block pageContent %}{% endblock %}
            </div>
          </div>
        </main>
      </div>
    {% endblock %}

    {% block footer %}
      {{ hrtFooter({
        "links": [
          {
            "ID": "footer-accessibility-link",
            "URL": "https://www.nhsbsa.nhs.uk/accessibility-statement-buy-nhs-hormone-replacement-therapy-prescription-prepayment-certificate",
            "label": footerAccessibilityLink,
            "newTab": true
          },
          {
            "ID": "footer-Contact-us-link",
            "URL": "https://www.nhsbsa.nhs.uk/contact-nhs-help-health-costs",
            "label": footerContactUsLink,
            "newTab": true
          },
          {
            "ID": "footer-cookie-link",
            "URL": contextPath + '/cookie-information',
            "label": footerCookiesLink,
            "newTab": false
          },
          {
            "ID": "footer-privacy-link",
            "URL": "https://www.nhsbsa.nhs.uk/hrt-prescription-prepayment-certificate-hrt-ppc-privacy-notice",
            "label": footerPrivacyLink,
            "newTab": true
          },
          {
            "ID": "footer-terms-link",
            "URL": "https://www.nhsbsa.nhs.uk/terms-and-conditions-buying-nhs-hormone-replacement-therapy-prescription-prepayment-certificate-hrt",
            "label": footerTermsLink,
            "newTab": true
          }
        ]
      })}}
      <!-- {{ appVersion }} -->
      <!-- {{ locator }} -->
    {% endblock %}

    {% block bodyEnd %}
    {% if not noTimeOut %}
      {{ timeoutWarning({ modalVisibleTime: timeoutWarningDuration, modalShowAfter: minutesBeforeTimeoutModal, timeoutUrl: contextPath + '/session-timeout', title: timeoutTitle, text: timeoutTextOne, extraText: timeoutTextTwo, buttonText: timeoutButtonText }) }}
    {% endif %}
      {# Run JavaScript at end of the <body>, to avoid blocking the initial render. #}
    {% endblock %}
  </body>
</html>